info:
  name: Get ExportTags
  type: http
  seq: 5

http:
  method: GET
  url: "{{elixFormsApiUrl}}/request/:request_id/view/:view_name/exportTags/get/v1?moduleTag=RIPARTIZIONE_CCT_DSAN&exportGroup=ReportOre"
  headers:
    - name: x-requested-with
      value: XMLHttpRequest
    - name: x-api-username
      value: "{{elixFormsApiUsername}}"
  params:
    - name: username
      value: "{{elixFormsApiUsername}}"
      type: query
      disabled: true
    - name: moduleTag
      value: RIPARTIZIONE_CCT_DSAN
      type: query
    - name: exportGroup
      value: API
      type: query
      disabled: true
    - name: exportGroup
      value: ReportOre
      type: query
    - name: request_id
      value: "31470"
      type: path
    - name: view_name
      value: _DEFAULT
      type: path
  auth: inherit

settings:
  encodeUrl: true
  timeout: 0
  followRedirects: true
  maxRedirects: 5
  forwardAuthorizationHeader: true

examples:
  - name: Get ExportTags - Success
    request:
      url: "{{elixFormsApiUrl}}/request/:request_id/view/:view_name/exportTags/get/v1?username={{elixFormsApiUsername}}&moduleTag=PROPOSTA_CCT_DOCENTE&exportGroup=PROPOSTA_CCT_DOCENTE_GROUP"
      method: GET
      params:
        - name: username
          value: "{{elixFormsApiUsername}}"
          type: query
        - name: moduleTag
          value: PROPOSTA_CCT_DOCENTE
          type: query
        - name: exportGroup
          value: PROPOSTA_CCT_DOCENTE_GROUP
          type: query
        - name: request_id
          value: "7007"
          type: path
        - name: view_name
          value: _DEFAULT
          type: path
    response:
      statusText: "200"
      headers:
        - name: cache-control
          value: no-cache, no-store, must-revalidate
        - name: pragma
          value: no-cache
        - name: proxy-connection
          value: Keep-Alive
        - name: x-content-security-policy
          value: default-src 'self'; connect-src 'self'; font-src 'none'; img-src 'self'; media-src 'self'; object-src 'self'; plugin-types application/pdf audio/x-wav; referrer no-referrer; reflected-xss block; script-src 'self'; style-src 'self'
        - name: content-type
          value: application/json;charset=UTF-8
        - name: strict-transport-security
          value: max-age=63072000;includeSubDomains
        - name: content-security-policy
          value: "default-src https: data: 'unsafe-inline' 'unsafe-eval'"
        - name: x-frame-options
          value: SAMEORIGIN
        - name: x-xss-protection
          value: 1;mode=block
        - name: x-content-type-options
          value: nosniff
        - name: referrer-policy
          value: unsafe-url
        - name: transfer-encoding
          value: chunked
        - name: vary
          value: Accept-Encoding
        - name: content-encoding
          value: gzip
      body:
        type: json
        data: |-
          {
              "value": {
                  "code": "OK",
                  "description": "OK",
                  "complete": true,
                  "globalStatus": "OK",
                  "serviceInformationList": {
                      "serviceInformation": [
                          {
                              "ITSystemName": "EF-CORE",
                              "complete": true,
                              "serviceVersion": "1.0.0",
                              "statusDetailList": {
                                  "statusDetail": [
                                      {
                                          "code": "OK",
                                          "description": "OK",
                                          "detailStatus": "OK"
                                      }
                                  ]
                              }
                          }
                      ]
                  },
                  "uuid": "79ac308f-da1a-48ff-90f0-49f5f21a65e8",
                  "version": "3.9.2.17",
                  "exportTags": [
                      {
                          "name": "contratto.Titolo",
                          "value": "Titolo"
                      },
                      {
                          "name": "contratto.corrispettivo",
                          "value": "12500"
                      },
                      {
                          "name": "contratto.durataInMesi",
                          "value": "17"
                      }
                  ],
                  "requestSize": 3
              }
          }
  - name: Get ExportTags - Not Found
    request:
      url: "{{elixFormsApiUrl}}/request/:request_id/view/:view_name/exportTags/get/v1?username={{elixFormsApiUsername}}&moduleTag=xyz&exportGroup=API"
      method: GET
      params:
        - name: username
          value: "{{elixFormsApiUsername}}"
          type: query
        - name: moduleTag
          value: xyz
          type: query
        - name: exportGroup
          value: API
          type: query
        - name: request_id
          value: "6502"
          type: path
        - name: view_name
          value: _DEFAULT
          type: path
    response:
      statusText: "200"
      headers:
        - name: cache-control
          value: no-cache, no-store, must-revalidate
        - name: pragma
          value: no-cache
        - name: proxy-connection
          value: Keep-Alive
        - name: x-content-security-policy
          value: default-src 'self'; connect-src 'self'; font-src 'none'; img-src 'self'; media-src 'self'; object-src 'self'; plugin-types application/pdf audio/x-wav; referrer no-referrer; reflected-xss block; script-src 'self'; style-src 'self'
        - name: content-type
          value: application/json;charset=UTF-8
        - name: strict-transport-security
          value: max-age=63072000;includeSubDomains
        - name: content-security-policy
          value: "default-src https: data: 'unsafe-inline' 'unsafe-eval'"
        - name: x-frame-options
          value: SAMEORIGIN
        - name: x-xss-protection
          value: 1;mode=block
        - name: x-content-type-options
          value: nosniff
        - name: referrer-policy
          value: unsafe-url
        - name: transfer-encoding
          value: chunked
        - name: vary
          value: Accept-Encoding
        - name: content-encoding
          value: gzip
      body:
        type: json
        data: |-
          {
              "value": {
                  "code": "WARNING",
                  "description": "Nessuna pratica trovata per l'id 6502",
                  "complete": true,
                  "globalStatus": "WARNING",
                  "serviceInformationList": {
                      "serviceInformation": [
                          {
                              "ITSystemName": "EF-CORE",
                              "complete": true,
                              "serviceVersion": "1.0.0",
                              "statusDetailList": {
                                  "statusDetail": [
                                      {
                                          "code": "WARNING",
                                          "description": "Nessuna pratica trovata per l'id 6502",
                                          "detailStatus": "WARNING"
                                      }
                                  ]
                              }
                          }
                      ]
                  },
                  "uuid": "dbd5d36e-0663-4446-99ba-26a119c7aad6",
                  "version": "3.9.2.17",
                  "requestSize": 0
              }
          }
  - name: Get ExportTags - Success
    request:
      url: "{{elixFormsApiUrl}}/request/:request_id/view/:view_name/exportTags/get/v1?username={{elixFormsApiUsername}}&moduleTag=PROPOSTA_CCT_OPERATORE&exportGroup=PROPOSTA_CCT_OPERATORE"
      method: GET
      params:
        - name: username
          value: "{{elixFormsApiUsername}}"
          type: query
        - name: moduleTag
          value: PROPOSTA_CCT_OPERATORE
          type: query
        - name: exportGroup
          value: PROPOSTA_CCT_OPERATORE
          type: query
        - name: request_id
          value: "7792"
          type: path
        - name: view_name
          value: _DEFAULT
          type: path
    response:
      statusText: "200"
      headers:
        - name: cache-control
          value: no-cache, no-store, must-revalidate
        - name: pragma
          value: no-cache
        - name: proxy-connection
          value: Keep-Alive
        - name: x-content-security-policy
          value: default-src 'self'; connect-src 'self'; font-src 'none'; img-src 'self'; media-src 'self'; object-src 'self'; plugin-types application/pdf audio/x-wav; referrer no-referrer; reflected-xss block; script-src 'self'; style-src 'self'
        - name: content-type
          value: application/json;charset=UTF-8
        - name: strict-transport-security
          value: max-age=63072000;includeSubDomains
        - name: content-security-policy
          value: "default-src https: data: 'unsafe-inline' 'unsafe-eval'"
        - name: x-frame-options
          value: SAMEORIGIN
        - name: x-xss-protection
          value: 1;mode=block
        - name: x-content-type-options
          value: nosniff
        - name: referrer-policy
          value: unsafe-url
        - name: transfer-encoding
          value: chunked
        - name: vary
          value: Accept-Encoding
        - name: content-encoding
          value: gzip
      body:
        type: json
        data: |-
          {
              "value": {
                  "code": "OK",
                  "description": "OK",
                  "complete": true,
                  "globalStatus": "OK",
                  "serviceInformationList": {
                      "serviceInformation": [
                          {
                              "ITSystemName": "EF-CORE",
                              "complete": true,
                              "serviceVersion": "1.0.0",
                              "statusDetailList": {
                                  "statusDetail": [
                                      {
                                          "code": "OK",
                                          "description": "OK",
                                          "detailStatus": "OK"
                                      }
                                  ]
                              }
                          }
                      ]
                  },
                  "uuid": "25b4ed59-0a3d-43d3-8f7e-e26ba6b81a94",
                  "version": "3.9.2.17",
                  "exportTags": [
                      {
                          "name": "contratto.titolo",
                          "value": "Qualifica di software esistente per l’applicazione in \nsistemi critici in conformitÃ  ai principali standard di functional safety e cybersecurity"
                      },
                      {
                          "name": "contratto.contraenti",
                          "value": "BUGSENG S.R.L., CF/PIVA: 02592690347, Sede: Via Marco dell’Arpa, 8/B 43121 PARMA (PR) ITALIA"
                      },
                      {
                          "name": "responsabileScientifico.struttura",
                          "value": "Dipartimento di Scienze Matematiche, Fisiche e Informatiche"
                      },
                      {
                          "name": "contratto.altriPartecipanti",
                          "value": ""
                      },
                      {
                          "name": "contratto.struttura",
                          "value": "Dipartimento di Scienze Matematiche, Fisiche e Informatiche"
                      },
                      {
                          "name": "contratto.altriResponsabiliScientifici",
                          "value": "Prof. ARCERI Vincenzo, CF: RCRVCN92S06D284C, Qualifica: Ricercatore, Struttura di afferenza: Dipartimento di Scienze Matematiche, Fisiche e Informatiche, Data di inizio: 20/12/2024, Data di fine: -"
                      },
                      {
                          "name": "responsabileScientifico.nome",
                          "value": "Vincenzo"
                      },
                      {
                          "name": "contratto.IdContratto",
                          "value": "ARCE_V_24_CRCT_RA_01"
                      },
                      {
                          "name": "responsabileScientifico.titoloAccademico",
                          "value": "Prof."
                      },
                      {
                          "name": "responsabileScientifico.qualifica",
                          "value": "Ricercatore"
                      },
                      {
                          "name": "contratto.tipologia",
                          "value": "Contratti di ricerca conto terzi - ricerca applicata"
                      },
                      {
                          "name": "responsabileScientifico.codiceFiscale",
                          "value": "RCRVCN92S06D284C"
                      },
                      {
                          "name": "responsabileScientifico.cognome",
                          "value": "ARCERI"
                      },
                      {
                          "name": "contratto.corrispettivo",
                          "value": "42000"
                      },
                      {
                          "name": "contratto.durataInMesi",
                          "value": "12"
                      }
                  ],
                  "requestSize": 15
              }
          }
